Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1658412 - [abrt] solaar: update(): window.py:774:update:AssertionError
Summary: [abrt] solaar: update(): window.py:774:update:AssertionError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bf5c6f0846ef474fa293699b3f0...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2018-12-12 01:28 UTC by Dmitry
Modified: 2019-11-27 23:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:28:48 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Dmitry 2018-12-12 01:28:58 UTC
Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: update
exception_type: AssertionError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.7-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
window.py:774:update:AssertionError

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/solaar/ui/__init__.py", line 165, in _status_changed
    window.update(device, need_popup)
  File "/usr/lib/python3.7/site-packages/solaar/ui/window.py", line 774, in update
    assert item
AssertionError

Local variables in innermost frame:
device: <UnifyingReceiver(/dev/hidraw2,15)>
need_popup: 0
selected_device_id: None
is_alive: False
item: None

Comment 1 Ben Cotton 2019-10-31 18:48:36 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 23:28:48 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.